EndpointsCoworlds

Upload Coworld secret

PUT/v2/coworlds/secrets/{coworld_name}/{secret_name}

Stores up to 1 MiB of raw bytes as an encrypted Coworld secret.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

coworld_name*Coworld Name

Coworld that will own the secret.

secret_name*Secret Name

Secret name to create or replace.

Request Body

application/octet-stream

Raw secret value, up to 1 MiB.

body*file

Raw secret bytes.

Formatbinary
curl -X PUT "https://softmax.com/api/observatory/v2/coworlds/secrets/string/string" \  -H "Content-Type: application/octet-stream" \  -d 'string'
{  "coworld_id": "string",  "coworld_name": "string",  "owner_user_id": "string",  "secret_name": "string",  "size_bytes": 0,  "updated_at": "2019-08-24T14:15:22Z"}